class ModalCollection {
  createOverlay: CreateOverlayModal;
  cancel: CancelModal;
  okCancel: OKCancelModal;
  info: InfoModal;
  overlayMgr: OverlayManagementModal;
  importExport: ImportExportModal;
  
  constructor(
    createOverlay: CreateOverlayModal,
    cancel: CancelModal,
    okCancel: OKCancelModal,
    info: InfoModal,
    overlayMgr: OverlayManagementModal,
    importExport: ImportExportModal
  ) {
    this.createOverlay = createOverlay;
    this.cancel = cancel;
    this.okCancel = okCancel;
    this.info = info;
    this.overlayMgr = overlayMgr;
    this.importExport = importExport;
  }
  
  closeAll(): void {
    this.createOverlay.setVisible(false);
    this.cancel.setVisible(false);
    this.okCancel.setVisible(false);
    this.info.setVisible(false);
    this.overlayMgr.setVisible(false);
    this.importExport.setVisible(false);
  }
}